#-------------------------------------------------
#
# Project created by QtCreator 2018-01-15T22:39:04
#
#-------------------------------------------------

QT       += core gui serialport
QMAKE_CXXFLAGS += -std=c++11

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets opengl

TARGET = oe_designer
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += include libPakalPersist external/qt-material-widgets/components

#INCLUDEPATH += include /usr/include

SOURCES += \
        main.cpp \
        src/io/OE_io_JPG.cpp \
        src/io/OE_io_OE.cpp \
        src/io/OE_io_SVG.cpp \
        src/qt/mainwindow.cpp \
        src/actions/OE_actions.cpp \
        src/actions/OE_actionsBirailStitchs.cpp \
        src/actions/OE_actionsCurves.cpp \
        src/actions/OE_actionsFillStitchs.cpp \
        src/actions/OE_actionsLineStitchs.cpp \
        src/actions/OE_actionsLinkStitchs.cpp \
        src/actions/OE_actionsSelection.cpp \
        src/actions/OE_actionsStitchs.cpp \
        src/actions/OE_actionsThreads.cpp \
        src/curves/OE_curve.cpp \
        src/curves/OE_joincurve.cpp \
        src/curves/OE_pointcurve.cpp \
        src/curves/OE_subcurve.cpp \
        src/instructions/OE_instruction.cpp \
        src/instructions/OE_start.cpp \
        src/instructions/OE_waitcolor.cpp \
        src/io/OE_io_PES.cpp \
        src/stitchs/OE_birailstitch.cpp \
        src/stitchs/OE_fillstitch.cpp \
        src/stitchs/OE_linestitch.cpp \
        src/stitchs/OE_linkstitch.cpp \
        src/stitchs/OE_staticstitch.cpp \
        src/stitchs/OE_stitchs.cpp \
        src/xml/tinystr.cpp \
        src/xml/tinyxml.cpp \
        src/xml/tinyxmlerror.cpp \
        src/xml/tinyxmlparser.cpp \
        src/OE_base.cpp \
        src/OE_controller.cpp \
        src/OE_display.cpp \
        src/OE_document.cpp \
        src/OE_interfaceDisplay.cpp \
        src/OE_pattern.cpp \
        src/OE_thread.cpp \
        src/OE_utils.cpp \
        libPakalPersist/Archive.cpp \
        libPakalPersist/Attribute.cpp \
        libPakalPersist/Element.cpp \
        libPakalPersist/JsonReader.cpp \
        libPakalPersist/JsonWriter.cpp \
        libPakalPersist/TextReader.cpp \
        libPakalPersist/TextWriter.cpp \
        src/machine.cpp \
    external/qt-material-widgets/components/layouts/qtmaterialsnackbarlayout.cpp \
    external/qt-material-widgets/components/lib/qtmaterialcheckable.cpp \
    external/qt-material-widgets/components/lib/qtmaterialcheckable_internal.cpp \
    external/qt-material-widgets/components/lib/qtmaterialoverlaywidget.cpp \
    external/qt-material-widgets/components/lib/qtmaterialripple.cpp \
    external/qt-material-widgets/components/lib/qtmaterialrippleoverlay.cpp \
    external/qt-material-widgets/components/lib/qtmaterialstatetransition.cpp \
    external/qt-material-widgets/components/lib/qtmaterialstyle.cpp \
    external/qt-material-widgets/components/lib/qtmaterialtheme.cpp \
    external/qt-material-widgets/components/qtmaterialappbar.cpp \
    external/qt-material-widgets/components/qtmaterialautocomplete.cpp \
    external/qt-material-widgets/components/qtmaterialautocomplete_internal.cpp \
    external/qt-material-widgets/components/qtmaterialavatar.cpp \
    external/qt-material-widgets/components/qtmaterialbadge.cpp \
    external/qt-material-widgets/components/qtmaterialcheckbox.cpp \
    external/qt-material-widgets/components/qtmaterialcircularprogress.cpp \
    external/qt-material-widgets/components/qtmaterialcircularprogress_internal.cpp \
    external/qt-material-widgets/components/qtmaterialdialog.cpp \
    external/qt-material-widgets/components/qtmaterialdialog_internal.cpp \
    external/qt-material-widgets/components/qtmaterialdivider.cpp \
    external/qt-material-widgets/components/qtmaterialdrawer.cpp \
    external/qt-material-widgets/components/qtmaterialdrawer_internal.cpp \
    external/qt-material-widgets/components/qtmaterialfab.cpp \
    external/qt-material-widgets/components/qtmaterialflatbutton.cpp \
    external/qt-material-widgets/components/qtmaterialflatbutton_internal.cpp \
    external/qt-material-widgets/components/qtmaterialiconbutton.cpp \
    external/qt-material-widgets/components/qtmateriallist.cpp \
    external/qt-material-widgets/components/qtmateriallistitem.cpp \
    external/qt-material-widgets/components/qtmaterialmenu.cpp \
    external/qt-material-widgets/components/qtmaterialmenu_internal.cpp \
    external/qt-material-widgets/components/qtmaterialpaper.cpp \
    external/qt-material-widgets/components/qtmaterialprogress.cpp \
    external/qt-material-widgets/components/qtmaterialprogress_internal.cpp \
    external/qt-material-widgets/components/qtmaterialradiobutton.cpp \
    external/qt-material-widgets/components/qtmaterialraisedbutton.cpp \
    external/qt-material-widgets/components/qtmaterialscrollbar.cpp \
    external/qt-material-widgets/components/qtmaterialscrollbar_internal.cpp \
    external/qt-material-widgets/components/qtmaterialslider.cpp \
    external/qt-material-widgets/components/qtmaterialslider_internal.cpp \
    external/qt-material-widgets/components/qtmaterialsnackbar.cpp \
    external/qt-material-widgets/components/qtmaterialsnackbar_internal.cpp \
    external/qt-material-widgets/components/qtmaterialtable.cpp \
    external/qt-material-widgets/components/qtmaterialtabs.cpp \
    external/qt-material-widgets/components/qtmaterialtabs_internal.cpp \
    external/qt-material-widgets/components/qtmaterialtextfield.cpp \
    external/qt-material-widgets/components/qtmaterialtextfield_internal.cpp \
    external/qt-material-widgets/components/qtmaterialtoggle.cpp \
    external/qt-material-widgets/components/qtmaterialtoggle_internal.cpp \
    external/qt-material-widgets/components/qtmaterialtooltabs.cpp \
    external/qt-material-widgets/components/qtmaterialtooltabs_internal.cpp \
    src/qt/OE_ui_toolbox.cpp \
    src/qt/OE_ui_stitchlist.cpp \
    src/qt/listviewdelegate.cpp \
    src/OE_preferences.cpp

HEADERS += \
        src/qt/mainwindow.h \
        include/actions/OE_actions.h \
        include/actions/OE_actionsBirailStitchs.h \
        include/actions/OE_actionsCurves.h \
        include/actions/OE_actionsFillStitchs.h \
        include/actions/OE_actionsLineStitchs.h \
        include/actions/OE_actionsLinkStitchs.h \
        include/actions/OE_actionsSelection.h \
        include/actions/OE_actionsStitchs.h \
        include/actions/OE_actionsThreads.h \
        include/curves/OE_curve.h \
        include/curves/OE_joincurve.h \
        include/curves/OE_pointcurve.h \
        include/curves/OE_subcurve.h \
        include/instructions/OE_instruction.h \
        include/instructions/OE_start.h \
        include/instructions/OE_waitcolor.h \
        include/stitchs/OE_birailstitch.h \
        include/stitchs/OE_fillstitch.h \
        include/stitchs/OE_linestitch.h \
        include/stitchs/OE_linkstitch.h \
        include/stitchs/OE_staticstitch.h \
        include/stitchs/OE_stitchs.h \
        include/xml/tinystr.h \
        include/xml/tinyxml.h \
        include/main.h \
        include/OE_base.h \
        include/OE_controller.h \
        include/OE_display.h \
        include/OE_document.h \
        include/OE_fstream.h \
        include/OE_interfaceDisplay.h \
        include/OE_io.h \
        include/OE_pattern.h \
        include/OE_thread.h \
        include/OE_utils.h \
        libPakalPersist/Archive.h \
        libPakalPersist/Attribute.h \
        libPakalPersist/Element.h \
        libPakalPersist/JsonReader.h \
        libPakalPersist/JsonWriter.h \
        libPakalPersist/TextReader.h \
        libPakalPersist/TextWriter.h \
        libPakalPersist/PersistUtils.h \
        include/machine.h \
    external/qt-material-widgets/components/layouts/qtmaterialsnackbarlayout.h \
    external/qt-material-widgets/components/layouts/qtmaterialsnackbarlayout_p.h \
    external/qt-material-widgets/components/lib/qtmaterialcheckable.h \
    external/qt-material-widgets/components/lib/qtmaterialcheckable_internal.h \
    external/qt-material-widgets/components/lib/qtmaterialcheckable_p.h \
    external/qt-material-widgets/components/lib/qtmaterialoverlaywidget.h \
    external/qt-material-widgets/components/lib/qtmaterialripple.h \
    external/qt-material-widgets/components/lib/qtmaterialrippleoverlay.h \
    external/qt-material-widgets/components/lib/qtmaterialstatetransition.h \
    external/qt-material-widgets/components/lib/qtmaterialstatetransitionevent.h \
    external/qt-material-widgets/components/lib/qtmaterialstyle.h \
    external/qt-material-widgets/components/lib/qtmaterialstyle_p.h \
    external/qt-material-widgets/components/lib/qtmaterialtheme.h \
    external/qt-material-widgets/components/lib/qtmaterialtheme_p.h \
    external/qt-material-widgets/components/qtmaterialappbar.h \
    external/qt-material-widgets/components/qtmaterialappbar_p.h \
    external/qt-material-widgets/components/qtmaterialautocomplete.h \
    external/qt-material-widgets/components/qtmaterialautocomplete_internal.h \
    external/qt-material-widgets/components/qtmaterialautocomplete_p.h \
    external/qt-material-widgets/components/qtmaterialavatar.h \
    external/qt-material-widgets/components/qtmaterialavatar_p.h \
    external/qt-material-widgets/components/qtmaterialbadge.h \
    external/qt-material-widgets/components/qtmaterialbadge_p.h \
    external/qt-material-widgets/components/qtmaterialcheckbox.h \
    external/qt-material-widgets/components/qtmaterialcheckbox_p.h \
    external/qt-material-widgets/components/qtmaterialcircularprogress.h \
    external/qt-material-widgets/components/qtmaterialcircularprogress_internal.h \
    external/qt-material-widgets/components/qtmaterialcircularprogress_p.h \
    external/qt-material-widgets/components/qtmaterialdialog.h \
    external/qt-material-widgets/components/qtmaterialdialog_internal.h \
    external/qt-material-widgets/components/qtmaterialdialog_p.h \
    external/qt-material-widgets/components/qtmaterialdivider.h \
    external/qt-material-widgets/components/qtmaterialdivider_p.h \
    external/qt-material-widgets/components/qtmaterialdrawer.h \
    external/qt-material-widgets/components/qtmaterialdrawer_internal.h \
    external/qt-material-widgets/components/qtmaterialdrawer_p.h \
    external/qt-material-widgets/components/qtmaterialfab.h \
    external/qt-material-widgets/components/qtmaterialfab_p.h \
    external/qt-material-widgets/components/qtmaterialflatbutton.h \
    external/qt-material-widgets/components/qtmaterialflatbutton_internal.h \
    external/qt-material-widgets/components/qtmaterialflatbutton_p.h \
    external/qt-material-widgets/components/qtmaterialiconbutton.h \
    external/qt-material-widgets/components/qtmaterialiconbutton_p.h \
    external/qt-material-widgets/components/qtmateriallist.h \
    external/qt-material-widgets/components/qtmateriallist_p.h \
    external/qt-material-widgets/components/qtmateriallistitem.h \
    external/qt-material-widgets/components/qtmateriallistitem_p.h \
    external/qt-material-widgets/components/qtmaterialmenu.h \
    external/qt-material-widgets/components/qtmaterialmenu_internal.h \
    external/qt-material-widgets/components/qtmaterialmenu_p.h \
    external/qt-material-widgets/components/qtmaterialpaper.h \
    external/qt-material-widgets/components/qtmaterialpaper_p.h \
    external/qt-material-widgets/components/qtmaterialprogress.h \
    external/qt-material-widgets/components/qtmaterialprogress_internal.h \
    external/qt-material-widgets/components/qtmaterialprogress_p.h \
    external/qt-material-widgets/components/qtmaterialradiobutton.h \
    external/qt-material-widgets/components/qtmaterialradiobutton_p.h \
    external/qt-material-widgets/components/qtmaterialraisedbutton.h \
    external/qt-material-widgets/components/qtmaterialraisedbutton_p.h \
    external/qt-material-widgets/components/qtmaterialscrollbar.h \
    external/qt-material-widgets/components/qtmaterialscrollbar_internal.h \
    external/qt-material-widgets/components/qtmaterialscrollbar_p.h \
    external/qt-material-widgets/components/qtmaterialslider.h \
    external/qt-material-widgets/components/qtmaterialslider_internal.h \
    external/qt-material-widgets/components/qtmaterialslider_p.h \
    external/qt-material-widgets/components/qtmaterialsnackbar.h \
    external/qt-material-widgets/components/qtmaterialsnackbar_internal.h \
    external/qt-material-widgets/components/qtmaterialsnackbar_p.h \
    external/qt-material-widgets/components/qtmaterialtable.h \
    external/qt-material-widgets/components/qtmaterialtable_p.h \
    external/qt-material-widgets/components/qtmaterialtabs.h \
    external/qt-material-widgets/components/qtmaterialtabs_internal.h \
    external/qt-material-widgets/components/qtmaterialtabs_p.h \
    external/qt-material-widgets/components/qtmaterialtextfield.h \
    external/qt-material-widgets/components/qtmaterialtextfield_internal.h \
    external/qt-material-widgets/components/qtmaterialtextfield_p.h \
    external/qt-material-widgets/components/qtmaterialtoggle.h \
    external/qt-material-widgets/components/qtmaterialtoggle_internal.h \
    external/qt-material-widgets/components/qtmaterialtoggle_p.h \
    external/qt-material-widgets/components/qtmaterialtooltabs.h \
    external/qt-material-widgets/components/qtmaterialtooltabs_internal.h \
    external/qt-material-widgets/components/qtmaterialtooltabs_p.h \
    src/qt/OE_ui_toolbox.h \
    src/qt/OE_ui_stitchlist.h \
    src/qt/listviewdelegate.h \
    src/OE_preferences.h

FORMS += \
        src/qt/mainwindow.ui

RESOURCES += \
    resources.qrc

DISTFILES += \
    external/qt-material-widgets/components/icons/toggle/svg/production/ic_check_box_24px.svg \
    external/qt-material-widgets/components/icons/toggle/svg/production/ic_radio_button_checked_24px.svg \
    external/qt-material-widgets/components/icons/toggle/svg/production/ic_radio_button_unchecked_24px.svg \
    external/qt-material-widgets/components/icons/toggle/svg/production/ic_check_box_outline_blank_24px.svg \
    external/qt-material-widgets/components/icons/toggle/svg/production/ic_indeterminate_check_box_24px.svg
