#ifndef OE_PREFERENCES_H
#define OE_PREFERENCES_H

#include "OE_utils.h"


class OE_preferences
{
public:
    static OE_color hoopColor;
    static OE_color backgroundColor;
    static OE_color cursorColor;
    static OE_color gridColor;
    static OE_color zeroColor;
    static float zeroSize;

    static OE_color curveColor;
    static OE_color curveTangeantColor;
    static OE_color curvePointColor;
    static OE_color curveControlsColor;

    static float curveWidth;
    static float curveTangeantWidth;
    static float curvePointSize;
    static float curveStartPointSize;

    static OE_color stitchLineBeforeCurrentColor;
    static OE_color stitchLineAfterCurrentColor;
    static OE_color stitchPointBeforeCurrentColor;
    static OE_color stitchPointAfterCurrentColor;
    static OE_color stitchStartPointColor;
    static OE_color stitchControlsColor;

    static float stitchPointSize;
    static float stitchLineWidth;
    static float stitchStartPointSize;

    static OE_color instLineBeforeCurrentColor;
    static OE_color instLineAfterCurrentColor;
    static OE_color instStartPointColor;
    static OE_color instCurPointColor;
    static OE_color instColor;
    static float instPointSize;
    static float instLineWidth;
    static float instStartPointSize;
    static float instCurPointSize;

    static OE_color machineStartPointColor;
    static OE_color machineCurPointColor;

    static OE_color transformGizmoColor;
    static OE_color selectionBoundColor;

    static float moveCrossSize;

    OE_preferences();

};


#endif // OE_PREFERENCES_H
